diff -Nuar a/docs/conf/inspircd.conf.example b/docs/conf/inspircd.conf.example
--- a/docs/conf/inspircd.conf.example	2014-07-24 14:24:00.000000000 +0200
+++ b/docs/conf/inspircd.conf.example	2014-08-09 10:21:01.439999954 +0200
@@ -412,11 +412,11 @@
 
 # This file has all the information about oper classes, types and o:lines.
 # You *MUST* edit it.
-<include file="conf/examples/opers.conf.example">
+<include file="/etc/inspircd/opers.conf.example">
 
 # This file has all the information about server links and ulined servers.
 # You *MUST* edit it if you intend to link servers.
-<include file="conf/examples/links.conf.example">
+<include file="/etc/inspircd/links.conf.example">
 
 #-#-#-#-#-#-#-#-#-#-  MISCELLANEOUS CONFIGURATION  -#-#-#-#-#-#-#-#-#-#
 #                                                                     #
@@ -426,7 +426,8 @@
 #   motd - displayed on connect and when a user executes /MOTD
 #   rules - displayed when the user executes /RULES
 # Modules can also define their own files
-<files motd="conf/examples/motd.txt.example" rules="conf/examples/rules.txt.example">
+<files motd="/etc/inspircd/motd.txt.example"
+       rules="/etc/inspircd/rules.txt.example">
 
 # Example of an executable file include. Note this will be read on rehash,
 # not when the command is run.
@@ -472,7 +473,7 @@
 # the default of 'inspircd.pid' is used.                              #
 #                                                                     #
 
-#<pid file="/path/to/inspircd.pid">
+<pid file="/var/run/inspircd/inspircd.pid">
 
 #-#-#-#-#-#-#-#-#-#-#-#-#- BANLIST LIMITS #-#-#-#-#-#-#-#-#-#-#-#-#-#-#
 #                                                                     #
@@ -953,7 +954,7 @@
 # provide almost all the features of InspIRCd. :)                     #
 #                                                                     #
 # The default does nothing -- we include it for simplicity for you.   #
-<include file="conf/examples/modules.conf.example">
+<include file="/etc/inspircd/modules.conf.example">
 
 # Here are some pre-built modules.conf files that closely match the
 # default configurations of some popular IRCd's. You still may want to
@@ -965,10 +966,10 @@
 # recommended that you make your own modules file based on modules.conf.example.
 
 # Settings similar to UnrealIRCd defaults.
-#<include file="conf/examples/modules/unrealircd.conf.example">
+#<include file="/etc/inspircd/modules/unrealircd.conf.example">
 
 # Settings similar to Charybdis IRCd defaults.
-#<include file="conf/examples/modules/charybdis.conf.example">
+#<include file="/etc/inspircd/modules/charybdis.conf.example">
 
 
 #########################################################################
diff -Nuar a/make/template/main.mk b/make/template/main.mk
--- a/make/template/main.mk	2014-07-24 14:24:00.000000000 +0200
+++ b/make/template/main.mk	2014-08-09 10:24:59.039999948 +0200
@@ -34,7 +34,7 @@
 SYSTEM = @SYSTEM@
 BUILDPATH = @BUILD_DIR@
 SOCKETENGINE = @SOCKETENGINE@
-CXXFLAGS = -pipe -fPIC -DPIC
+MYCXXFLAGS = -pipe -fPIC -DPIC
 LDLIBS = -pthread -lstdc++
 LDFLAGS = 
 CORELDFLAGS = -rdynamic -L. $(LDFLAGS)
@@ -51,9 +51,9 @@
 INSTMODE_LIB = 0644
 
 @IFEQ $(CC) icc
-  CXXFLAGS += -Wshadow
+  MYCXXFLAGS += -Wshadow
 @ELSE
-  CXXFLAGS += -pedantic -Woverloaded-virtual -Wshadow -Wformat=2 -Wmissing-format-attribute -Wall
+  MYCXXFLAGS += -pedantic -Woverloaded-virtual -Wshadow -Wformat=2 -Wmissing-format-attribute -Wall
 @ENDIF
 
 
@@ -75,41 +75,41 @@
 	INSTALL = ginstall
 @ENDIF
 @IFEQ $(SYSTEM) darwin
-  CXXFLAGS += -DDARWIN -frtti
+  MYCXXFLAGS += -DDARWIN -frtti
   LDLIBS += -ldl
   CORELDFLAGS = -dynamic -bind_at_load -L. $(LDFLAGS)
   PICLDFLAGS = -fPIC -shared -twolevel_namespace -undefined dynamic_lookup $(LDFLAGS)
 @ENDIF
 @IFEQ $(SYSTEM) interix
-  CXXFLAGS += -D_ALL_SOURCE -I/usr/local/include
+  MYCXXFLAGS += -D_ALL_SOURCE -I/usr/local/include
 @ENDIF
 
-@IFNDEF D
-  D=0
+@IFNDEF DEBUGLEVEL
+  DEBUGLEVEL=0
 @ENDIF
 
 DBGOK=0
-@IFEQ $(D) 0
-  CXXFLAGS += -O2
+@IFEQ $(DEBUGLEVEL) 0
+  MYCXXFLAGS += -O2
 @IFEQ $(CC) gcc
-    CXXFLAGS += -g1
+    MYCXXFLAGS += -g1
 @ENDIF
   HEADER = std-header
   DBGOK=1
 @ENDIF
-@IFEQ $(D) 1
-  CXXFLAGS += -O0 -g3 -Werror
+@IFEQ $(DEBUGLEVEL) 1
+  MYCXXFLAGS += -O0 -g3 -Werror
   HEADER = debug-header
   DBGOK=1
 @ENDIF
-@IFEQ $(D) 2
-  CXXFLAGS += -O2 -g3
+@IFEQ $(DEBUGLEVEL) 2
+  MYCXXFLAGS += -O2 -g3
   HEADER = debug-header
   DBGOK=1
 @ENDIF
 FOOTER = finishmessage
 
-CXXFLAGS += -Iinclude
+MYCXXFLAGS += -Iinclude
 
 @GNU_ONLY MAKEFLAGS += --no-print-directory
 
@@ -128,10 +128,11 @@
 @ENDIF
 
 @IFDEF PURE_STATIC
-  CXXFLAGS += -DPURE_STATIC
+  MYCXXFLAGS += -DPURE_STATIC
 @ENDIF
 
-@DO_EXPORT RUNCC RUNLD CXXFLAGS LDLIBS PICLDFLAGS VERBOSE SOCKETENGINE CORELDFLAGS
+MYCXXFLAGS += $(CXXFLAGS)
+@DO_EXPORT RUNCC RUNLD MYCXXFLAGS LDLIBS PICLDFLAGS VERBOSE SOCKETENGINE CORELDFLAGS
 @DO_EXPORT SOURCEPATH BUILDPATH PURE_STATIC SPLIT_CC
 
 # Default target
@@ -144,10 +145,10 @@
     @GNU_ONLY TARGET = modules/$(M:.so=).so
 @ENDIF
 
-@IFDEF T
+@IFDEF TGT
     HEADER =
     FOOTER = target
-    TARGET = $(T)
+    TARGET = $(TGT)
 @ENDIF
 
 @IFEQ $(DBGOK) 0
@@ -222,8 +223,8 @@
 	@-$(INSTALL) -d -o $(INSTUID) -m $(INSTMODE_DIR) $(BASE)/data
 	@-$(INSTALL) -d -o $(INSTUID) -m $(INSTMODE_DIR) $(BASE)/logs
 	@-$(INSTALL) -d -m $(INSTMODE_DIR) $(BINPATH)
-	@-$(INSTALL) -d -m $(INSTMODE_DIR) $(CONPATH)/examples/aliases
-	@-$(INSTALL) -d -m $(INSTMODE_DIR) $(CONPATH)/examples/modules
+	@-$(INSTALL) -d -m $(INSTMODE_DIR) $(CONPATH)/aliases
+	@-$(INSTALL) -d -m $(INSTMODE_DIR) $(CONPATH)/modules
 	@-$(INSTALL) -d -m $(INSTMODE_DIR) $(MODPATH)
 	[ $(BUILDPATH)/bin/ -ef $(BINPATH) ] || $(INSTALL) -m $(INSTMODE_BIN) $(BUILDPATH)/bin/inspircd $(BINPATH)
 @IFNDEF PURE_STATIC
@@ -231,9 +232,9 @@
 @ENDIF
 	-$(INSTALL) -m $(INSTMODE_BIN) @STARTSCRIPT@ $(BASE) 2>/dev/null
 	-$(INSTALL) -m $(INSTMODE_LIB) tools/gdbargs $(BASE)/.gdbargs 2>/dev/null
-	-$(INSTALL) -m $(INSTMODE_LIB) docs/conf/*.example $(CONPATH)/examples
-	-$(INSTALL) -m $(INSTMODE_LIB) docs/conf/aliases/*.example $(CONPATH)/examples/aliases
-	-$(INSTALL) -m $(INSTMODE_LIB) docs/conf/modules/*.example $(CONPATH)/examples/modules
+	-$(INSTALL) -m $(INSTMODE_LIB) docs/conf/*.example $(CONPATH)
+	-$(INSTALL) -m $(INSTMODE_LIB) docs/conf/aliases/*.example $(CONPATH)/aliases
+	-$(INSTALL) -m $(INSTMODE_LIB) docs/conf/modules/*.example $(CONPATH)/modules
 	@echo ""
 	@echo "*************************************"
 	@echo "*        INSTALL COMPLETE!          *"
@@ -246,7 +247,7 @@
 	@echo '  Data:' $(DATPATH)
 	@echo 'To start the ircd, run:' $(BASE)/inspircd start
 	@echo 'Remember to create your config file:' $(CONPATH)/inspircd.conf
-	@echo 'Examples are available at:' $(CONPATH)/examples/
+	@echo 'Examples are available at:' $(CONPATH)
 
 @GNU_ONLY RCS_FILES = $(wildcard .git/index src/version.sh)
 @BSD_ONLY RCS_FILES = src/version.sh
diff -Nuar a/make/unit-cc.pl b/make/unit-cc.pl
--- a/make/unit-cc.pl	2014-07-24 14:24:00.000000000 +0200
+++ b/make/unit-cc.pl	2014-08-09 10:25:15.089999947 +0200
@@ -97,7 +97,7 @@
 	my $libs = '';
 	my $binary = $ENV{RUNCC};
 	if ($do_compile) {
-		$flags = $ENV{CXXFLAGS};
+		$flags = $ENV{MYCXXFLAGS};
 		$flags =~ s/ -pedantic// if nopedantic($file);
 		$flags .= ' ' . getcompilerflags($file);
 
